@tailwind base;
@tailwind components;
@tailwind utilities;

/* Global */
body {
    width: 100vw;
    height: 100vh;
    background-image: url('/1.jpg');
    background-size: cover;
    background-attachment: scroll;
}

#main {
    position: absolute;
    top: 5%;
    right: 5%;
    left: 18%; /* width of #sidebar + extra margin */
}
#main > div {
    width: 100%;
    min-height: 100%;
}

/* Navigation */
#navbar {
    background-color: #04d5e3;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

/* Games */
.game-list {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    max-width: 1000px;
    margin: 40px auto;
    padding: 20px;
    gap: 40px;
}

.game-card {
    width: calc(30% - 2rem);
    border: 1px solid #e2e8f0;
    border-radius: 0.7rem;
    overflow: hidden;
    box-shadow: 0 1px 2px #0000000d;
    transition: box-shadow 0.2s ease, transform 0.2s ease;
    margin: 1rem;
    display: flex;
    flex-direction: column;
    position: relative;
    background-color: white;
}

.game-card:hover {
    box-shadow: 10px 10px 20px #00000033;
    transform: translateY(-20px);
}

.game-card-img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

.game-card-img-wrapper {
    width: 100%;
    height: 0;
    padding-top: 100%;
    position: relative;
}

.game-card-content {
    padding: 20px;
}

.game-card-title {
    font-size: 1.25rem;
    font-weight: bold;
    margin-bottom: 0.5rem;
    color: #000000;
    text-align: center;
    padding: 15px;
}

.alert-popup {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: absolute;
    bottom: 45%;
    left: 93%;
    transform: translateX(-100%);
    background-color: white;
    border: 2px solid #1eaf16;
    color: #1eaf16;
    font-size: 20px;
    font-weight: bold;
    padding: 20px;
    border-radius: 10px;
    z-index: 1000;
    width: 220px;
    height: 220px;
    text-align: center;
}

.alert-popup.error {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: absolute;
    bottom: 45%;
    left: 93%;
    transform: translateX(-100%);
    background-color: white;
    border: 2px solid #e60d18;
    color: #e60d18;
    font-size: 20px;
    padding: 20px;
    border-radius: 10px;
    z-index: 1000;
    width: 220px;
    height: 220px;
    text-align: center;
}

.form-select {
    width: 100%;
    padding: 8px;
    border-radius: 8px;
    border: 1px solid #ccc;
    margin-bottom: 15px;
    margin-top: 20px;
    background-color: #fff9f9;
    color: #000000;
}

.game-form {
    max-width: 600px;
    max-height: 600px;
    margin: 60px auto;
    padding: 50px;
    border-radius: 20px;
    margin-bottom: 200px;
    overflow-y: auto;
    color: #000000;
    background-color: #ffffff;
    border: 1px solid #e2e8f0;
    box-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1),
        0 4px 6px -4px rgba(0, 0, 0, 0.1);
    /* background-image: linear-gradient(120deg, #f0f0f0 0%, #ffffff 100%); */
    background-image: linear-gradient(to right, #ff7e5f, #feb47b, #f5af19);
}

.update-game-form {
    max-width: 600px;
    max-height: 600px;
    margin: 60px auto;
    padding: 50px;
    border-radius: 20px;
    margin-bottom: 200px;
    overflow-y: auto;
    color: #000000;
    background-color: #ffffff;
    border: 1px solid #e2e8f0;
    box-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1),
        0 4px 6px -4px rgba(0, 0, 0, 0.1);
    /* background-image: linear-gradient(to bottom, #ffffff, #f6f6f6); */
    background-image: linear-gradient(
        45deg,
        #6db9ef 25%,
        #84c5f4 25%,
        #84c5f4 50%,
        #6db9ef 50%,
        #6db9ef 75%,
        #84c5f4 75%
    );
}

/* Modals */

.modal {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #00000080;
    display: flex;
    justify-content: center;
    align-items: center;
}

.modal-content {
    background-color: #ffffff;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1),
        0 4px 6px -2px rgba(0, 0, 0, 0.05);
    width: 90%;
    max-width: 500px;
}

.modal-content p {
    color: #4a5568;
    margin-bottom: 1rem;
    line-height: 2;
}

.modal-content button {
    background-color: #3182ce;
    color: white;
    border: none;
    padding: 10px 20px;
    border-radius: 0.75rem;
    cursor: pointer;
    transition: background-color 0.3s;
}

.modal-content button:hover {
    background-color: #2b6cb0;
}

.modal-content a {
    color: #3182ce;
    text-decoration: none;
    transition: color 0.3s;
}

.modal-content a:hover {
    color: #2b6cb0;
    text-decoration: underline;
}

.alert-modal {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #00000080;
    display: flex;
    justify-content: center;
    align-items: center;
}

.alert-modal-content {
    background-color: #fff;
    color: #e60d18;
    padding: 30px;
    border-radius: 10px;
    box-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1),
        0 4px 6px -2px rgba(0, 0, 0, 0.05);
    width: 90%;
    max-width: 500px;
    border: 1px solid #e60d18;
}

.alert-modal-content p {
    margin-bottom: 1rem;
    line-height: 1.5;
}

.alert-modal-content button {
    background-color: #e60d18;
    color: white;
    border: none;
    padding: 10px 20px;
    border-radius: 0.75rem;
    cursor: pointer;
    transition: background-color 0.3s;
}

.alert-modal-content button:hover {
    background-color: #c60f17;
}
